Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmDevicesDeviceProfiles({
deviceId: "string",
networkId: "string",
});
export const merakiNetworksSmDevicesDeviceProfilesExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_devices_device_profiles(device_id="string",
network_id="string")
pulumi.export("merakiNetworksSmDevicesDeviceProfilesExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmDevicesDeviceProfiles(ctx, &networks.GetSmDevicesDeviceProfilesArgs{
DeviceId: "string",
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmDevicesDeviceProfilesExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmDevicesDeviceProfiles.Invoke(new()
{
DeviceId = "string",
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSmDevicesDeviceProfilesExample"] = example.Apply(getSmDevicesDeviceProfilesResult => getSmDevicesDeviceProfilesResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmDevicesDeviceProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmDevicesDeviceProfiles(GetSmDevicesDeviceProfilesArgs.builder()
.deviceId("string")
.networkId("string")
.build());
ctx.export("merakiNetworksSmDevicesDeviceProfilesExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmDevicesDeviceProfiles
arguments:
deviceId: string
networkId: string
outputs:
merakiNetworksSmDevicesDeviceProfilesExample: ${example.items}
Using getSmDevicesDeviceProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmDevicesDeviceProfiles(args: GetSmDevicesDeviceProfilesArgs, opts?: InvokeOptions): Promise<GetSmDevicesDeviceProfilesResult>
function getSmDevicesDeviceProfilesOutput(args: GetSmDevicesDeviceProfilesOutputArgs, opts?: InvokeOptions): Output<GetSmDevicesDeviceProfilesResult>def get_sm_devices_device_profiles(device_id: Optional[str] = None,
network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSmDevicesDeviceProfilesResult
def get_sm_devices_device_profiles_output(device_id: Optional[pulumi.Input[str]] = None,
network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmDevicesDeviceProfilesResult]func GetSmDevicesDeviceProfiles(ctx *Context, args *GetSmDevicesDeviceProfilesArgs, opts ...InvokeOption) (*GetSmDevicesDeviceProfilesResult, error)
func GetSmDevicesDeviceProfilesOutput(ctx *Context, args *GetSmDevicesDeviceProfilesOutputArgs, opts ...InvokeOption) GetSmDevicesDeviceProfilesResultOutput> Note: This function is named GetSmDevicesDeviceProfiles in the Go SDK.
public static class GetSmDevicesDeviceProfiles
{
public static Task<GetSmDevicesDeviceProfilesResult> InvokeAsync(GetSmDevicesDeviceProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetSmDevicesDeviceProfilesResult> Invoke(GetSmDevicesDeviceProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmDevicesDeviceProfilesResult> getSmDevicesDeviceProfiles(GetSmDevicesDeviceProfilesArgs args, InvokeOptions options)
public static Output<GetSmDevicesDeviceProfilesResult> getSmDevicesDeviceProfiles(GetSmDevicesDeviceProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmDevicesDeviceProfiles:getSmDevicesDeviceProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- device_
id str - deviceId path parameter. Device ID
- network_
id str - networkId path parameter. Network ID
getSmDevicesDeviceProfiles Result
The following output properties are available:
- Device
Id string - deviceId path parameter. Device ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Devices Device Profiles Item> - Array of ResponseSmGetNetworkSmDeviceDeviceProfiles
- Network
Id string - networkId path parameter. Network ID
- Device
Id string - deviceId path parameter. Device ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Devices Device Profiles Item - Array of ResponseSmGetNetworkSmDeviceDeviceProfiles
- Network
Id string - networkId path parameter. Network ID
- device
Id String - deviceId path parameter. Device ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Devices Device Profiles Item> - Array of ResponseSmGetNetworkSmDeviceDeviceProfiles
- network
Id String - networkId path parameter. Network ID
- device
Id string - deviceId path parameter. Device ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Devices Device Profiles Item[] - Array of ResponseSmGetNetworkSmDeviceDeviceProfiles
- network
Id string - networkId path parameter. Network ID
- device_
id str - deviceId path parameter. Device ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Devices Device Profiles Item] - Array of ResponseSmGetNetworkSmDeviceDeviceProfiles
- network_
id str - networkId path parameter. Network ID
- device
Id String - deviceId path parameter. Device ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmDeviceDeviceProfiles
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSmDevicesDeviceProfilesItem
- Device
Id string - The Meraki managed device Id.
- Id string
- The numerical Meraki Id of the profile.
- Is
Encrypted bool - A boolean indicating if the profile is encrypted.
- Is
Managed bool - Whether or not the profile is managed by Meraki.
- Name string
- The name of the profile.
- Profile
Data string - A string containing a JSON object with the profile data.
- Profile
Identifier string - The identifier of the profile.
- Version string
- The verison of the profile.
- Device
Id string - The Meraki managed device Id.
- Id string
- The numerical Meraki Id of the profile.
- Is
Encrypted bool - A boolean indicating if the profile is encrypted.
- Is
Managed bool - Whether or not the profile is managed by Meraki.
- Name string
- The name of the profile.
- Profile
Data string - A string containing a JSON object with the profile data.
- Profile
Identifier string - The identifier of the profile.
- Version string
- The verison of the profile.
- device
Id String - The Meraki managed device Id.
- id String
- The numerical Meraki Id of the profile.
- is
Encrypted Boolean - A boolean indicating if the profile is encrypted.
- is
Managed Boolean - Whether or not the profile is managed by Meraki.
- name String
- The name of the profile.
- profile
Data String - A string containing a JSON object with the profile data.
- profile
Identifier String - The identifier of the profile.
- version String
- The verison of the profile.
- device
Id string - The Meraki managed device Id.
- id string
- The numerical Meraki Id of the profile.
- is
Encrypted boolean - A boolean indicating if the profile is encrypted.
- is
Managed boolean - Whether or not the profile is managed by Meraki.
- name string
- The name of the profile.
- profile
Data string - A string containing a JSON object with the profile data.
- profile
Identifier string - The identifier of the profile.
- version string
- The verison of the profile.
- device_
id str - The Meraki managed device Id.
- id str
- The numerical Meraki Id of the profile.
- is_
encrypted bool - A boolean indicating if the profile is encrypted.
- is_
managed bool - Whether or not the profile is managed by Meraki.
- name str
- The name of the profile.
- profile_
data str - A string containing a JSON object with the profile data.
- profile_
identifier str - The identifier of the profile.
- version str
- The verison of the profile.
- device
Id String - The Meraki managed device Id.
- id String
- The numerical Meraki Id of the profile.
- is
Encrypted Boolean - A boolean indicating if the profile is encrypted.
- is
Managed Boolean - Whether or not the profile is managed by Meraki.
- name String
- The name of the profile.
- profile
Data String - A string containing a JSON object with the profile data.
- profile
Identifier String - The identifier of the profile.
- version String
- The verison of the profile.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
